import http from '@/api'
import { type Dict } from '@/api/system/dictionary/interface'

//获取字典类型
export const getDictTypeList = (params: Dict.ReqDictTypeParams) => {
    return http.post(`/dictType/list`, params)
}

//添加字典类型
export const addDictType = (params: Dict.ResDictType) => {
    return http.post(`/dictType/add`, params)
}

//编辑字典类型
export const updateDictType = (params: Dict.ResDictType) => {
    return http.post(`/dictType/update`, params)
}

//删除字典类型
export const deleteDictType = (params: string[]) => {
    return http.post(`/dictType/delete`, params)
}

//导出字典类型
export const exportDictType=(params: Dict.ReqDictTypeParams)=>{
    return http.download(`/dictType/export`, params)
}
